# Class CIM_AccountMapsToAccount
extends CIM_Dependency

This relationship may be used to associate an Account used by an AuthenticationService to an Account used for Authorization. For instance, this mapping occurs naturally in the UNIX /etc/passwd file, where the AuthenticationService Account ('root') is mapped to the AuthorizationService Account ('0'). The two are separate accounts, as evidenced by the ability to have another AuthenticationService Account which ALSO maps to the AuthorizationService Account ('0') without ambiguity. This association may be used for other account mappings as well such as for coordinating single signon for multiple accounts for the same user.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AccountMapsToAccount

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

This relationship may be used to associate an Account used by an AuthenticationService to an Account used for Authorization. For instance, this mapping occurs naturally in the UNIX /etc/passwd file, where the AuthenticationService Account ('root') is mapped to the AuthorizationService Account ('0'). The two are separate accounts, as evidenced by the ability to have another AuthenticationService Account which ALSO maps to the AuthorizationService Account ('0') without ambiguity. This association may be used for other account mappings as well such as for coordinating single signon for multiple accounts for the same user.

UMLPackagePath | string | CIM::User::Account
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AccountMapsToAccount | CIM_Account
Dependent | CIM_AccountMapsToAccount | CIM_Account

## Class Methods